<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Thu Jan 02 00:22:44 EST 2020 -->
<title>io.gitlab.littlesaints.protean.event (protean-core 1.0.0 API)</title>
<meta name="date" content="2020-01-02">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../../io/gitlab/littlesaints/protean/event/package-summary.html" target="classFrame">io.gitlab.littlesaints.protean.event</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="EventAccessor.html" title="interface in io.gitlab.littlesaints.protean.event" target="classFrame"><span class="interfaceName">EventAccessor</span></a></li>
<li><a href="EventCache.html" title="interface in io.gitlab.littlesaints.protean.event" target="classFrame"><span class="interfaceName">EventCache</span></a></li>
<li><a href="EventCache.Factory.html" title="interface in io.gitlab.littlesaints.protean.event" target="classFrame"><span class="interfaceName">EventCache.Factory</span></a></li>
<li><a href="SimpleEvent.html" title="interface in io.gitlab.littlesaints.protean.event" target="classFrame"><span class="interfaceName">SimpleEvent</span></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="SimpleEventCache.html" title="class in io.gitlab.littlesaints.protean.event" target="classFrame">SimpleEventCache</a></li>
<li><a href="SimpleEventCache._Registrar.html" title="class in io.gitlab.littlesaints.protean.event" target="classFrame">SimpleEventCache._Registrar</a></li>
<li><a href="SingleThreadEvent.html" title="class in io.gitlab.littlesaints.protean.event" target="classFrame">SingleThreadEvent</a></li>
<li><a href="ThreadSafeEvent.html" title="class in io.gitlab.littlesaints.protean.event" target="classFrame">ThreadSafeEvent</a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="State.html" title="enum in io.gitlab.littlesaints.protean.event" target="classFrame">State</a></li>
</ul>
</div>
</body>
</html>
